<?php defined('SYSPATH') or die('No direct script access.');
class Controller_Profile extends Controller_Application {
public function action_index()
{
       $content = View::factory('profile/public')
       ->set('username', 'Test User')
       ->bind('messages', $messages);
       $request = Request::factory('messages/get_messages')->execute();
       $messages = $request;
            $this->template->content = $content;
}
}